Bug 881689 - munin.conf contains reference to fedora project hostname
Summary: munin.conf contains reference to fedora project hostname
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: munin
Version: el6
Hardware: All
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Kevin Fenzi
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-11-29 11:01 UTC by Anand Buddhdev
Modified: 2013-01-29 20:04 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-01-20 03:03:51 UTC


Attachments (Terms of Use)

Description Anand Buddhdev 2012-11-29 11:01:30 UTC
Description of problem:

In /etc/munin/munin.conf, monitoring is defined for 127.0.0.1, but the server name is set to buildvm-10.phx2.fedoraproject.org instead of something like "localhost" or "localhost.localdomain".


Version-Release number of selected component (if applicable): 2.0.8-1


How reproducible:

Always

Steps to Reproduce:
1. Install munin
2. browse to http://hostname/munin/
3.
  
Actual results:

In the host tree, you see a server called buildvm-10.phx2.fedoraproject.org, even though it is monitoring 127.0.0.1.

Expected results:

Prefer to see "localhost"

Additional info:

Comment 1 d. johnson 2012-12-21 02:51:17 UTC
This came from the generated /etc/munin/munin.conf file.

See if 2.0.9-2 fixes this issue for you.  (Or edit munin.conf and change the name in [] to localhost instead.)

Comment 2 Fedora Update System 2013-01-09 19:38:15 UTC
munin-2.0.10-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/munin-2.0.10-1.el5

Comment 3 Fedora Update System 2013-01-09 19:39:22 UTC
munin-2.0.10-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/munin-2.0.10-1.el6

Comment 4 Fedora Update System 2013-01-09 19:40:26 UTC
munin-2.0.10-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/munin-2.0.10-1.fc16

Comment 5 Fedora Update System 2013-01-09 19:42:36 UTC
munin-2.0.10-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/munin-2.0.10-1.fc17

Comment 6 Fedora Update System 2013-01-09 19:43:47 UTC
munin-2.0.10-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/munin-2.0.10-1.fc18

Comment 7 Fedora Update System 2013-01-10 21:31:31 UTC
Package munin-2.0.10-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing munin-2.0.10-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-0593/munin-2.0.10-1.fc18
then log in and leave karma (feedback).

Comment 8 Fedora Update System 2013-01-20 03:03:52 UTC
munin-2.0.10-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2013-01-22 03:40:21 UTC
munin-2.0.10-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2013-01-23 01:45:48 UTC
munin-2.0.10-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2013-01-23 01:48:47 UTC
munin-2.0.10-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2013-01-29 20:04:54 UTC
munin-2.0.10-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.